Get songs
Get songs by a specific artist, including tracks in which the artist is featured.
To find an artist's UUID, use either the Get artist by platform ID or Search artist by name endpoints.
Request
GET
/api/v2.21/artist/{uuid}/songs
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | An artist UUID | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| mainPerformer | integer | If 1, only return the main performer songs. If 0, only return the featuring performer songs. If empty, return both. | Optional |
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
| sortBy | string | Sort criteria. Available values are : name, releaseDate, spotifyStream, shazamCount, youtubeViews, spotifyPopularity, soundchartsScore | Optional |
| sortOrder | string | Sort order. Available values are : asc, desc | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
An Artist song collection response |
SongCollectionResponse2 |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
You are not authorized to perform this operation |
|
| 404 |
Not Found
Artist not found |